# Angular Press Kit

The logo graphics available for download on this page are provided under [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/).

<docs-card-container>
  <docs-card title="Angular logos" href="https://drive.google.com/drive/folders/1IgcAwLDVZUz8ycnFa7T4_H6B4V4LhYUQ?usp=sharing" link="Download from Google Drive">
    ![Angular wordmark gradient logo](assets/images/press-kit/angular_wordmark_gradient.png "Angular wordmark gradient logo")
    ![Angular wordmark white logo](assets/images/press-kit/angular_wordmark_white.png "Angular wordmark white logo")
    ![Angular wordmark black logo](assets/images/press-kit/angular_wordmark_black.png "Angular wordmark black logo")
    Black and white are the default color variations and should be used in most circumstances. A gradient version of the icon and lockup is available in both static and animated formats and can be used in cases where a color icon is required.
  </docs-card>
  <docs-card title="Brand guidelines" href="https://drive.google.com/drive/folders/1gD5-kamfribnib6TH4-aqVZxjYaDZlCg?usp=drive_link" link="Download from Google Drive">
    ![Angular animated gradient logo](assets/images/press-kit/angular_icon_gradient.gif "Angular animated gradient logo")
    Our brand guidelines folders contain the design files, guidance and community examples for how the brand can be adapted.
    Read more about adapting the logo in the section below.
  </docs-card>
</docs-card-container>

## Press and Media

For inquiries regarding press and media please contact us at press@angular.io. For developer inquiries contact devrel@angular.io.

## Adapting the logo

Angular’s success is deeply connected to our community. We know many communities, meetups, conferences, blogs, websites, YouTube channels and developers have built their brand on top of ours. This logo is for us and our community, and it’s important that you can join us in updating your brand as well.

Angular has long valued creative expression through customized shield icons. The new Angular icon allows customization in several ways. The icon shape can be used as a container for simple colors and patterns. Alternatively, a custom backplate can be used for more intricate designs. We recommend keeping your compositions simple and clear, since busy and complex patterns can be difficult to read. We appreciate your cooperation in keeping our community a safe and welcoming space. Please keep designs respectful and be mindful of our community guidelines when creating your icons.

We have provided a template to get you started.

If you have any questions on adapting the new logo, or updating your own, please email devrel@angular.io for additional help – we can’t wait to see what you create!

<docs-workflow>

<docs-step title="Adapt the logo colors as your own">
Lean into the shape of Angular’s new logo by changing the logo colors to match your brand colors, flag, cause, etc.

In this example, we’ve adapted the colors to create an Angular Pride logo variation:
![Angular pride logo](assets/images/press-kit/angular_pride.png#small "Angular pride logo")
</docs-step>

<docs-step title="Adapt the logo shape as your own">
Lean into the shape of Angular’s new logo by adapting the shield to match your own brand.

In this example, we’ve adapted the shield to create an Angular Signals logo variation:
![Angular Signals logo](assets/images/press-kit/angular_signals.png#medium "Angular Signals logo")
</docs-step>

<docs-step title="Do’s and don’ts of adapting the brand">
![Rhubarb the small cat](assets/images/press-kit/do_and_dont.png "Rhubarb the small cat")
</docs-step>

</docs-workflow>

## Deprecated logos

### 2016 Angular (v3-v16)

In 2023 , we announced a modernized logo with v17. We advise against using the former Angular logo to prevent confusion. You can view the old press kit on our [old docs site](https://angular.io/presskit).

### AngularJS

AngularJS is the v1.x predecessor of modern Angular. We advise against using this logo to prevent confusion.
Read more about the discontinued LTS (Long Term Support) for AngularJS on our [blog](https://blog.angular.io/discontinued-long-term-support-for-angularjs-cc066b82e65a).
