## API Report File for "@angular/core_primitives_event-dispatch"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

// @public
export function bootstrapEventContract(field: string, container: Element, appId: string, events: string[], anyWindow?: any): EventContract;

// @public
export class Dispatcher {
    constructor(getHandler?: ((eventInfoWrapper: EventInfoWrapper) => EventInfoHandler | void) | undefined, { stopPropagation }?: {
        stopPropagation?: boolean;
    });
    canDispatch(eventInfoWrapper: EventInfoWrapper): boolean;
    dispatch(eventInfo: EventInfo, isGlobalDispatch?: boolean): EventInfo | void;
    hasAction(name: string): boolean;
    registerEventInfoHandlers<T>(namespace: string, instance: T | null, methods: {
        [key: string]: EventInfoHandler;
    }): void;
    registerGlobalHandler(eventType: string, handler: GlobalHandler): void;
    setEventReplayer(eventReplayer: Replayer): void;
    unregisterGlobalHandler(eventType: string, handler: GlobalHandler): void;
    unregisterHandler(namespace: string, name: string): void;
}

// @public
export class EventContract implements UnrenamedEventContract {
    constructor(containerManager: EventContractContainerManager, stopPropagation?: false);
    // (undocumented)
    static A11Y_CLICK_SUPPORT: boolean;
    // (undocumented)
    static A11Y_SUPPORT_IN_DISPATCHER: boolean;
    addA11yClickSupport(): void;
    addEvent(eventType: string, prefixedEventType?: string): void;
    cleanUp(): void;
    // (undocumented)
    static CUSTOM_EVENT_SUPPORT: boolean;
    // (undocumented)
    ecaacs?: (updateEventInfoForA11yClick: typeof a11yClickLib.updateEventInfoForA11yClick, preventDefaultForA11yClick: typeof a11yClickLib.preventDefaultForA11yClick, populateClickOnlyAction: typeof a11yClickLib.populateClickOnlyAction) => void;
    ecrd(dispatcher: Dispatcher_2, restriction: Restriction): void;
    exportAddA11yClickSupport(): void;
    handler(eventType: string): EventHandler | undefined;
    // (undocumented)
    static JSNAMESPACE_SUPPORT: boolean;
    // (undocumented)
    static MOUSE_SPECIAL_SUPPORT: boolean;
    registerDispatcher(dispatcher: Dispatcher_2, restriction: Restriction): void;
    replayEarlyEvents(): void;
    // (undocumented)
    static STOP_PROPAGATION: boolean;
}

// @public
export class EventContractContainer implements EventContractContainerManager {
    constructor(element: Element);
    addEventListener(eventType: string, getHandler: (element: Element) => (event: Event) => void): void;
    cleanUp(): void;
    // (undocumented)
    readonly element: Element;
}

// @public
export class EventInfoWrapper {
    constructor(eventInfo: EventInfo);
    // (undocumented)
    clone(): EventInfoWrapper;
    // (undocumented)
    readonly eventInfo: EventInfo;
    // (undocumented)
    getAction(): {
        name: string;
        element: Element;
    } | undefined;
    // (undocumented)
    getContainer(): Element;
    // (undocumented)
    getEvent(): Event;
    // (undocumented)
    getEventType(): string;
    // (undocumented)
    getIsReplay(): boolean | undefined;
    // (undocumented)
    getTargetElement(): Element;
    // (undocumented)
    getTimestamp(): number;
    // (undocumented)
    setAction(action: ActionInfo | undefined): void;
    // (undocumented)
    setContainer(container: Element): void;
    // (undocumented)
    setEvent(event: Event): void;
    // (undocumented)
    setEventType(eventType: string): void;
    // (undocumented)
    setIsReplay(replay: boolean): void;
    // (undocumented)
    setTargetElement(targetElement: Element): void;
    // (undocumented)
    setTimestamp(timestamp: number): void;
}

// @public
export function registerDispatcher(eventContract: UnrenamedEventContract, dispatcher: Dispatcher): void;

// (No @packageDocumentation comment for this package)

```
